<script setup>

import {useRouter} from "vue-router";
import {useI18n} from "vue-i18n";
import {useFetchBooks} from "../stores/models/book/getBooks";

const router = useRouter()
const i18n = useI18n()

function changeLang(event) {
    i18n.locale.value = event.target.value
}
function logOut() {
    localStorage.removeItem('accessToken')
    localStorage.removeItem('refreshToken')
    router.push('/login')
}
</script>

<template>
    <div class="row">
        <div class="col px-0">
            <header>
                <nav class="navbar navbar-expand-md navbar-dark bg-dark">
                    <div class="container-fluid">
                        <router-link to="/" class="navbar-brand">{{$t('books') }}</router-link>
                        <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                                data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                                aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                                <li class="nav-item">
                                    <span @click="logOut" class="nav-link" style="cursor: pointer">{{$t('logOut')}}</span>
                                </li>
                                <li class="nav-item dropdown">
                                    <a class="nav-link dropdown-toggle" href="#" role="button"
                                       data-bs-toggle="dropdown"
                                       aria-expanded="false">
                                    Dropdown
                                    </a>
                                    <ul class="dropdown-menu">
                                        <li>
                                            <router-link to="/book-delete" class="dropdown-item">Delete-Book
                                            </router-link>
                                        </li>
                                        <li>
                                            <router-link to="/category-edit" class="dropdown-item">Update && Delete
                                            </router-link>
                                        </li>
                                        <li>
                                            <router-link to="/category-add" class="dropdown-item">CreateCategory
                                            </router-link>
                                        </li>

                                    </ul>
                                </li>
                                <li class="nav-item">
                                    <router-link to="/book-create" class="nav-link">{{$t('addBook')}}
                                    </router-link>
                                </li>
                                <li>
                                    <select @change="changeLang($event)" class="form-select">
                                        <option value="uz">UZB</option>
                                        <option value="ru">RUS</option>
                                        <option value="en">ENG</option>
                                    </select>
                                </li>
                            </ul>
                            <form class="d-flex" role="search">
                                <input class="form-control me-2" type="search" placeholder="Search"
                                       aria-label="Search">
                                <button class="btn btn-outline-success" type="submit">{{$t('search')}}</button>
                            </form>
                        </div>
                    </div>
                </nav>
            </header>
        </div>
    </div>
</template>

<style scoped>

</style>